package org.springblade.modules.wgr.info.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.wgr.info.entity.WgrInfoEntity;
import org.springblade.modules.wgr.info.excel.WgrInfoExcel;
import org.springblade.modules.wgr.info.vo.WgrInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 出入境_外国人信息表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-12-04
 */
public interface WgrInfoMapper extends BaseMapper<WgrInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	@DS("jl")
	List<WgrInfoVO> selectWgrInfoPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<WgrInfoExcel> exportWgrInfo(@Param("ew") Wrapper<WgrInfoEntity> queryWrapper);

	int getIsExist(WgrInfoExcel wgrInfoExcel);

	void updateWgrinfo(WgrInfoExcel wgrInfoExcel);

	@DS("jl")
	void resetBm(Long wgrId);

	void plxf(String id);
}
